<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class NotificationEvent extends Model
{
    protected $guarded = ['id'];

    protected function casts(): array
    {
        return ['available_channels' => 'array', 'variables' => 'array', 'is_system' => 'boolean', 'enabled' => 'boolean'];
    }
}
